GET /dataset/{dataset}/{version}/download/csv

globalforestwatch.org:global-forest-watch-api

Summary: Download Csv
Operation ID: download_csv_dataset__dataset___version__download_csv_get
Auth: api_key
Description

Execute a READ-ONLY SQL query on the given dataset version (if implemented). Return results as downloadable CSV file. This endpoint only works for datasets with (geo-)database tables.

Parameters (7)

dataset (string, path, required)

Constraints: {'pattern': '^[a-z][a-z0-9_-]{2,}$'}

delimiter (?, query, optional, default: ,)

Delimiter to use for CSV file.

filename (string, query, optional, default: export.csv)

Name of export file.

geostore_id (string, query, optional)

Geostore ID. The geostore must represent a Polygon or MultiPolygon.

geostore_origin (?, query, optional, default: gfw)

Service to search first for geostore.

sql (string, query, required)

SQL query.

version (string, path, required)

Constraints: {'pattern': '^v\\d{1,8}(\\.\\d{1,3}){0,2}?$|^latest$'}

No probe data for this endpoint yet.